# Retrieve a promotion code

Retrieves the promotion code with the given ID. In order to retrieve a promotion code by the customer-facing `code` use [list](https://docs.stripe.com/api/promotion_codes/list.md) with the desired `code`.

## Request

```curl
curl https://api.stripe.com/v1/promotion_codes/{{PROMOTION_CODE_ID}} \
  -u "<<YOUR_SECRET_KEY>>"
```

### Response

```json
{
  "id": "promo_1MiM6KLkdIwHu7ixrIaX4wgn",
  "object": "promotion_code",
  "active": true,
  "code": "A1H1Q1MG",
  "promotion": {
    "type": "coupon",
    "coupon": "nVJYDOag"
  },
  "created": 1678040164,
  "customer": null,
  "expires_at": null,
  "livemode": false,
  "max_redemptions": null,
  "metadata": {},
  "restrictions": {
    "first_time_transaction": false,
    "minimum_amount": null,
    "minimum_amount_currency": null
  },
  "times_redeemed": 0
}
```

## Returns

Returns a promotion code if a valid promotion code ID was provided. Raises [an error](https://docs.stripe.com/api/promotion_codes/retrieve.md#errors) otherwise.
